Ticket #100 (closed enhancement: fixed)

Opened 5 years ago

Last modified 5 years ago

'Permalinks' to worksheets

Reported by: mark Assigned to: umar
Priority: minor Milestone: Wangle
Component: webconsole Severity:
Keywords: Cc:

Description

It would be nice to be able to have a 'Link to this worksheet' to be able to paste into emails/IM conversations to bring someone direct to a worksheet. Links to something more granular, such as a graph itself would be nice also.

Change History

03/09/09 13:13:06 changed by jesus

  • owner changed from jesus to umar.
  • milestone set to Ruse.

Worksheet titles and graph titles are unique, so one should be able to permalink to both. However, the graph titles can change (legitimately). I would do permalinks (for now) to the uuid of the worksheet and/or the graph.

05/03/09 01:17:07 changed by jesus

  • milestone changed from Ruse to Wangle.

Also, we'd want to have URI bits and QS parameters to the worksheet/graph to set the time frame and size. I want to be able to send a link to someone and have htem see what I see.

06/11/09 22:46:54 changed by umar

(In [751]) adding permalink for graphs, probably needs some styling, and does not account for granularity matching yet, refs #100

06/15/09 21:27:01 changed by umar

  • status changed from new to closed.
  • resolution set to fixed.

(In [753]) permalinks for worksheets, and a better api for graphs as well, fixes #100

06/16/09 14:47:56 changed by umar

(In [755]) minor change to make permalinked worksheets' title uneditable. refs #100

06/16/09 17:24:06 changed by umar

(In [758]) taking out debugging, and fixes for permalink streaming, refs #144 and #100